clc; clear; close all;

Globals1D;

tic;
Problem;

N = 4; % degree of polynomial representing solution within an element (local solution representation)

StartUp1D; % computing local operators and mesh information

[mapI, vmapI, mapO, vmapO] = BuildBCMaps();

alpha_flux = 1; % central flux
alpha_flux = 0; % upwind flux

initial_condition = IC(x); % evaluating initial condition

u = Timestepping(initial_condition,T); % time-stepping for the ODE system
computation_time = toc;